diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 65347d2..a37ed35 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -1785,27 +1785,11 @@ all: rootdirs noweb srcsetup lspdir srcdir
 <<clean>>
 
 @
-\subsection{Makefile.fedora5}
-On Fedora Core 5 we cannot use the line
-\begin{verbatim}
-  ${XLIB}/libXpm.a
-\end{verbatim}
-to link to the Xpm libraries. Instead We need to use
-\begin{verbatim}
-  -l Xpm
-\end{verbatim}
-GCL-2.6.8pre2 will not build successfully on fedora core 5
-so we need to downgrade the GCLVERSION.
-<<Makefile.fedora5>>=
-#GCLVERSION=gcl-2.6.8pre
-# System dependent Makefile for the Intel/Linux platform
-# Platform variable
+\subsection{Makefile.fedora}
+<<Makefile.fedora>>=
 PLF=LINUXplatform
-# C compiler flags
 CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
-# Loader flags
 LDF=" -L/usr/X11R6/lib -l Xpm "
-# C compiler to use
 CC=gcc 
 AWK=gawk
 RANLIB=ranlib
@@ -1843,233 +1827,21 @@ all: rootdirs noweb srcsetup lspdir srcdir
 <<clean>>
 
 @
+\subsection{Makefile.fedora5}
+<<Makefile.fedora5>>=
+<<Makefile.fedora>>
+@
 \subsection{Makefile.fedora6}
-On Fedora Core 6 we cannot use the line
-\begin{verbatim}
-  ${XLIB}/libXpm.a
-\end{verbatim}
-to link to the Xpm libraries. Instead We need to use
-\begin{verbatim}
-  -l Xpm
-\end{verbatim}
-These are added onto the end of the LDF variable.
-
-Annoyingly enough it seems that GCL uses a default extension of .lsp
-rather than .lisp so we add the [[LISP]] variable here. We need to
-depend on the default extension behavior because the system build
-will load either the interpreted or compiled form of a file depending
-on which is available. This varies at different stages of the build.
-
-It turns out that the standard GCL OPTS does not compile with the
-GCL 2.6.8pre version. We changed it from 
-\begin{verbatim}
-@<<GCLOPTS>>
-\end{verbatim}
-to read
-\begin{verbatim}
-@<<GCLOPTS-LOCBFD>>
-\end{verbatim}
-
-GCL-2.6.8pre2 will not build successfully on fedora core 6
-so we need to downgrade the GCLVERSION.
 <<Makefile.fedora6>>=
-#GCLVERSION=gcl-2.6.8pre
-# System dependent Makefile for the Intel/Linux platform
-# Platform variable
-PLF=LINUXplatform
-# C compiler flags
-CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
-# Loader flags
-LDF=" -L/usr/X11R6/lib -l Xpm "
-# C compiler to use
-CC=gcc 
-AWK=gawk
-RANLIB=ranlib
-TOUCH=touch
-TAR=tar
-AXIOMXLROOT=${AXIOM}/compiler
-O=o
-BYE=bye
-LISP=lsp
-DAASE=${SRC}/share
-# where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
-<<GCLOPTS-LOCBFD>>
-<<SRCDIRS>>
-PATCH=patch
-
-ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
-    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
-    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
-
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
-	@- grep "result FAILED" int/input/*.regress
-
-<<rootdirs>>
-<<noweb>>
-<<literate commands>>
-<<srcsetup>>
-<<src>>
-<<lsp>>
-<<document>>
-<<clean>>
-
+<<Makefile.fedora>>
 @
 \subsection{Makefile.fedora7}
-On Fedora Core 7 we cannot use the line
-\begin{verbatim}
-  ${XLIB}/libXpm.a
-\end{verbatim}
-to link to the Xpm libraries. Instead We need to use
-\begin{verbatim}
-  -l Xpm
-\end{verbatim}
-These are added onto the end of the LDF variable.
-
-Annoyingly enough it seems that GCL uses a default extension of .lsp
-rather than .lisp so we add the [[LISP]] variable here. We need to
-depend on the default extension behavior because the system build
-will load either the interpreted or compiled form of a file depending
-on which is available. This varies at different stages of the build.
-
-It turns out that the standard GCL OPTS does not compile with the
-GCL 2.6.8pre version. We changed it from 
-\begin{verbatim}
-@<<GCLOPTS>>
-\end{verbatim}
-to read
-\begin{verbatim}
-@<<GCLOPTS-LOCBFD>>
-\end{verbatim}
-
-GCL-2.6.8pre2 will not build successfully on fedora core 7
-so we need to downgrade the GCLVERSION.
 <<Makefile.fedora7>>=
-#GCLVERSION=gcl-2.6.8pre
-# System dependent Makefile for the Intel/Linux platform
-# Platform variable
-PLF=LINUXplatform
-# C compiler flags
-CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
-# Loader flags
-LDF=" -L/usr/X11R6/lib -l Xpm "
-# C compiler to use
-CC=gcc 
-AWK=gawk
-RANLIB=ranlib
-TOUCH=touch
-TAR=tar
-AXIOMXLROOT=${AXIOM}/compiler
-O=o
-BYE=bye
-LISP=lsp
-DAASE=${SRC}/share
-# where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
-<<GCLOPTS-LOCBFD>>
-<<SRCDIRS>>
-PATCH=patch
-
-ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
-    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
-    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
-
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
-	@- grep "result FAILED" int/input/*.regress
-
-<<rootdirs>>
-<<noweb>>
-<<literate commands>>
-<<srcsetup>>
-<<src>>
-<<lsp>>
-<<document>>
-<<clean>>
-
+<<Makefile.fedora>>
 @
 \subsection{Makefile.fedora8}
-On Fedora Core 8 we cannot use the line
-\begin{verbatim}
-  ${XLIB}/libXpm.a
-\end{verbatim}
-to link to the Xpm libraries. Instead We need to use
-\begin{verbatim}
-  -l Xpm
-\end{verbatim}
-These are added onto the end of the LDF variable.
-
-Annoyingly enough it seems that GCL uses a default extension of .lsp
-rather than .lisp so we add the [[LISP]] variable here. We need to
-depend on the default extension behavior because the system build
-will load either the interpreted or compiled form of a file depending
-on which is available. This varies at different stages of the build.
-
-It turns out that the standard GCL OPTS does not compile with the
-GCL 2.6.8pre version. We changed it from 
-\begin{verbatim}
-@<<GCLOPTS>>
-\end{verbatim}
-to read
-\begin{verbatim}
-@<<GCLOPTS-LOCBFD>>
-\end{verbatim}
-
-GCL-2.6.8pre2 will not build successfully on fedora core 8
-so we need to downgrade the GCLVERSION.
 <<Makefile.fedora8>>=
-#GCLVERSION=gcl-2.6.8pre
-# System dependent Makefile for the Intel/Linux platform
-# Platform variable
-PLF=LINUXplatform
-# C compiler flags
-CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
-# Loader flags
-LDF=" -L/usr/X11R6/lib -l Xpm "
-# C compiler to use
-CC=gcc 
-AWK=gawk
-RANLIB=ranlib
-TOUCH=touch
-TAR=tar
-AXIOMXLROOT=${AXIOM}/compiler
-O=o
-BYE=bye
-LISP=lsp
-DAASE=${SRC}/share
-# where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
-<<GCLOPTS-LOCBFD>>
-<<SRCDIRS>>
-PATCH=patch
-
-ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
-    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
-    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
-
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
-	@- grep "result FAILED" int/input/*.regress
-
-<<rootdirs>>
-<<noweb>>
-<<literate commands>>
-<<srcsetup>>
-<<src>>
-<<lsp>>
-<<document>>
-<<clean>>
-
+<<Makefile.fedora>>
 @
 \subsection{Makefile.fedora8-64}
 Fedora 8 on a 64 bit machine requires gcl-2.6.8pre2
@@ -2122,156 +1894,24 @@ all: rootdirs noweb srcsetup lspdir srcdir
 
 @
 \subsection{Makefile.fedora9}
-On Fedora Core 9 we cannot use the line
-\begin{verbatim}
-  ${XLIB}/libXpm.a
-\end{verbatim}
-to link to the Xpm libraries. Instead We need to use
-\begin{verbatim}
-  -l Xpm
-\end{verbatim}
-These are added onto the end of the LDF variable.
-
-Annoyingly enough it seems that GCL uses a default extension of .lsp
-rather than .lisp so we add the [[LISP]] variable here. We need to
-depend on the default extension behavior because the system build
-will load either the interpreted or compiled form of a file depending
-on which is available. This varies at different stages of the build.
-
-It turns out that the standard GCL OPTS does not compile with the
-GCL 2.6.8pre version. We changed it from 
-\begin{verbatim}
-@<<GCLOPTS>>
-\end{verbatim}
-to read
-\begin{verbatim}
-@<<GCLOPTS-LOCBFD>>
-\end{verbatim}
-
-GCL-2.6.8pre2 will not build successfully on fedora core 9
-so we need to downgrade the GCLVERSION.
 <<Makefile.fedora9>>=
-#GCLVERSION=gcl-2.6.8pre
-# System dependent Makefile for the Intel/Linux platform
-# Platform variable
-PLF=LINUXplatform
-# C compiler flags
-CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
-# Loader flags
-LDF=" -L/usr/X11R6/lib -l Xpm "
-# C compiler to use
-CC=gcc 
-AWK=gawk
-RANLIB=ranlib
-TOUCH=touch
-TAR=tar
-AXIOMXLROOT=${AXIOM}/compiler
-O=o
-BYE=bye
-LISP=lsp
-DAASE=${SRC}/share
-# where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
-<<GCLOPTS-LOCBFD>>
-<<SRCDIRS>>
-PATCH=patch
-
-ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
-    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
-    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
-
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
-	@- grep "result FAILED" int/input/*.regress
-
-<<rootdirs>>
-<<noweb>>
-<<literate commands>>
-<<srcsetup>>
-<<src>>
-<<lsp>>
-<<document>>
-<<clean>>
-
+<<Makefile.fedora>>
 @
 \subsection{Makefile.fedora10}
-On Fedora Core 10 we cannot use the line
-\begin{verbatim}
-  ${XLIB}/libXpm.a
-\end{verbatim}
-to link to the Xpm libraries. Instead We need to use
-\begin{verbatim}
-  -l Xpm
-\end{verbatim}
-These are added onto the end of the LDF variable.
-
-Annoyingly enough it seems that GCL uses a default extension of .lsp
-rather than .lisp so we add the [[LISP]] variable here. We need to
-depend on the default extension behavior because the system build
-will load either the interpreted or compiled form of a file depending
-on which is available. This varies at different stages of the build.
-
-It turns out that the standard GCL OPTS does not compile with the
-GCL 2.6.8pre version. We changed it from 
-\begin{verbatim}
-@<<GCLOPTS>>
-\end{verbatim}
-to read
-\begin{verbatim}
-@<<GCLOPTS-LOCBFD>>
-\end{verbatim}
-
-GCL-2.6.8pre2 will not build successfully on fedora core 10
-so we need to downgrade the GCLVERSION.
 <<Makefile.fedora10>>=
-#GCLVERSION=gcl-2.6.8pre
-# System dependent Makefile for the Intel/Linux platform
-# Platform variable
-PLF=LINUXplatform
-# C compiler flags
-CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
-# Loader flags
-LDF=" -L/usr/X11R6/lib -l Xpm "
-# C compiler to use
-CC=gcc 
-AWK=gawk
-RANLIB=ranlib
-TOUCH=touch
-TAR=tar
-AXIOMXLROOT=${AXIOM}/compiler
-O=o
-BYE=bye
-LISP=lsp
-DAASE=${SRC}/share
-# where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
-<<GCLOPTS-LOCBFD>>
-<<SRCDIRS>>
-PATCH=patch
-
-ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
-    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
-    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
-
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
-	@- grep "result FAILED" int/input/*.regress
-
-<<rootdirs>>
-<<noweb>>
-<<literate commands>>
-<<srcsetup>>
-<<src>>
-<<lsp>>
-<<document>>
-<<clean>>
-
+<<Makefile.fedora>>
+@
+\subsection{Makefile.fedora11}
+<<Makefile.fedora11>>=
+<<Makefile.fedora>>
+@
+\subsection{Makefile.fedora12}
+<<Makefile.fedora12>>=
+<<Makefile.fedora>>
+@
+\subsection{Makefile.fedora13}
+<<Makefile.fedora13>>=
+<<Makefile.fedora>>
 @
 \subsection{Makefile.gentoo}
 Annoyingly enough it seems that GCL uses a default extension of .lsp
diff --git a/changelog b/changelog
index 77fa5f2..0bfce82 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100527 tpd src/axiom-website/patches.html 20100527.01.tpd.patch
+20100527 tpd Makefile merge all fedoraN stanzas into fedora
 20100526 tpd src/axiom-website/patches.html 20100526.01.tpd.patch
 20100526 tpd src/input/Makefile add paff.input test case for PAFF
 20100526 tpd src/input/paff.input test case for PAFF package
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3fb6d53..c21cae3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2805,5 +2805,7 @@ books/bookvol5 fix )describe to accept abbreviations<br/>
 <a href="patches/20100526.01.tpd.patch">20100526.01.tpd.patch</a>
 src/input/paff.input test cases for PAFF package<br/>
 *.daase updated for PAFF<br/>
+<a href="patches/20100527.01.tpd.patch">20100527.01.tpd.patch</a>
+Makefile merge all fedoraN stanzas into fedora
  </body>
 </html>
